=== debian/tests/control ===
Tests: integration
Architecture: amd64
Depends: curl,
         procps,
         etcd-client,
         etcd-server,
         @builddeps@,
Restrictions: allow-stderr, needs-root, breaks-testbed, isolation-container, flaky

Tests: functional
Architecture: amd64
Depends: etcd-client,
         etcd-server,
         netcat-openbsd,
         iproute2,
         @builddeps@,
Restrictions: allow-stderr, isolation-container, flaky
