=== debian/changelog ===
etcd (3.5.16-8) unstable; urgency=medium

  * Team upload.
  * Fix compilation with golang 1.25.2, Closes: #1117747
  * debian/tests/control: require container-isolation for 'member-list'

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Oct 2025 06:57:05 -0400

etcd (3.5.16-7) unstable; urgency=medium

  * Team upload.
  * Tighten dependency on golang-github-olekukonko-tablewriter-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Aug 2025 08:11:39 -0400

etcd (3.5.16-6) unstable; urgency=medium

  * Team upload.
  * Mark autopkgtests as non-optional
  * Unbreak autopkgtest 'member-list' (allows stderr)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Aug 2025 13:14:50 -0400

etcd (3.5.16-5) unstable; urgency=medium

  * Team upload.
  * debian/copyright: drop Files-Excluded
  * add new and quick test for autopkgtest
  * Drop init script
  * dependency: bump github.com/olekukonko/tablewriter from 0.0.5 to 1.0.6

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Aug 2025 09:20:41 -0400

etcd (3.5.16-4) unstable; urgency=medium

  * Team upload.

  [ Nicolas Peugnet ]
  * Add patch to fix tests with go 1.24. (Closes: #1096215)

  [ Guillem Jover ]
  * Run wrap-and-sort -ast.
  * Switch from Built-Using to Static-Built-Using field.
  * Switch to Standards-Version 4.7.2 (no changes needed).
  * Place each make variable multi-value into its own line.
  * Update debian/gbp.conf with Go Team current workflow.
  * Switch from dh-golang to dh-sequence-goland and no explicit --with=golang.
  * Lowercase man pages command name in title.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 04 Mar 2025 14:20:11 +0100

etcd (3.5.16-3) unstable; urgency=medium

  * Team upload.
  * TestHashKVWhenCompacting: increase timeout 10s->15s to avoid
    build failures on armel, and potentially other slower platforms

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Nov 2024 05:38:59 -0400

etcd (3.5.16-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:24:51 -0400

etcd (3.5.16-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: 3.5.16
  * Tighten dependencies on opentelemetry packages

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Oct 2024 16:30:05 -0400
