=== debian/control ===
Source: etcd
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Jelmer Vernooij <jelmer@debian.org>,
 Tim Potter <tpot@hpe.com>,
 Anthony Fok <foka@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any (>= 2:1.10~),
 golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
 golang-github-cockroachdb-datadriven-dev,
 golang-github-coreos-bbolt-dev,
 golang-github-coreos-go-semver-dev (>= 0.2.0~),
 golang-github-coreos-go-systemd-dev,
 golang-github-creack-pty-dev (>= 1.1.11~),
 golang-github-dustin-go-humanize-dev,
 golang-github-gogo-protobuf-dev,
 golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
 golang-github-golang-jwt-jwt-dev,
 golang-github-golang-protobuf-1-5-dev,
 golang-github-google-btree-dev,
 golang-github-grpc-ecosystem-go-grpc-middleware-dev (>= 2.0),
 golang-github-grpc-ecosystem-go-grpc-prometheus-dev (>= 1.2.0+git20191002.6af20e3-5),
 golang-github-grpc-ecosystem-grpc-gateway-dev (>= 2.0),
 golang-github-jonboulle-clockwork-dev,
 golang-github-json-iterator-go-dev,
 golang-github-modern-go-reflect2-dev,
 golang-github-olekukonko-tablewriter-dev (>= 1.0),
 golang-github-prometheus-client-golang-dev (>= 1.0.0~),
 golang-github-prometheus-client-model-dev,
 golang-github-soheilhy-cmux-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-github-tmc-grpc-websocket-proxy-dev,
 golang-github-urfave-cli-dev,
 golang-github-xiang90-probing-dev (>= 0.0.1~),
 golang-go.uber-zap-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools,
 golang-google-grpc-dev (>= 1.64.0-5),
 golang-gopkg-cheggaaa-pb.v1-dev,
 golang-gopkg-natefinch-lumberjack.v2-dev,
 golang-gopkg-yaml.v2-dev,
 golang-k8s-sigs-yaml-dev,
 golang-opentelemetry-contrib-dev (>= 0.56),
 golang-opentelemetry-otel-dev (>= 1.31),
 protoc-gen-go-1-5,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd
Vcs-Git: https://salsa.debian.org/go-team/packages/etcd.git
Homepage: https://etcd.io
XS-Go-Import-Path: go.etcd.io/etcd, github.com/coreos/etcd

Package: etcd-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 etcd-client,
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: highly-available key value store -- daemon
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the server binaries.

Package: etcd-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: highly-available key value store -- client
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the client binaries.

Package: golang-etcd-server-dev
Architecture: all
Depends:
 golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
 golang-github-cockroachdb-datadriven-dev,
 golang-github-coreos-bbolt-dev,
 golang-github-coreos-go-semver-dev (>= 0.2.0~),
 golang-github-coreos-go-systemd-dev,
 golang-github-creack-pty-dev (>= 1.1.11~),
 golang-github-dustin-go-humanize-dev,
 golang-github-gogo-protobuf-dev,
 golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
 golang-github-golang-jwt-jwt-dev,
 golang-github-golang-protobuf-1-5-dev,
 golang-github-google-btree-dev,
 golang-github-grpc-ecosystem-go-grpc-middleware-dev (>= 2.0),
 golang-github-grpc-ecosystem-go-grpc-prometheus-dev (>= 1.2.0+git20191002.6af20e3-5),
 golang-github-grpc-ecosystem-grpc-gateway-dev (>= 2.0),
 golang-github-jonboulle-clockwork-dev,
 golang-github-json-iterator-go-dev,
 golang-github-modern-go-reflect2-dev,
 golang-github-olekukonko-tablewriter-dev (>= 1.0),
 golang-github-prometheus-client-golang-dev (>= 1.0.0~),
 golang-github-prometheus-client-model-dev,
 golang-github-soheilhy-cmux-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-tmc-grpc-websocket-proxy-dev,
 golang-github-urfave-cli-dev,
 golang-github-xiang90-probing-dev (>= 0.0.1~),
 golang-go.uber-zap-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-time-dev,
 golang-google-grpc-dev (>= 1.64.0-5),
 golang-gopkg-cheggaaa-pb.v1-dev,
 golang-gopkg-natefinch-lumberjack.v2-dev,
 golang-gopkg-yaml.v2-dev,
 golang-k8s-sigs-yaml-dev,
 golang-opentelemetry-contrib-dev (>= 0.56),
 golang-opentelemetry-otel-dev (>= 1.31),
 ${misc:Depends},
Provides:
 golang-github-coreos-etcd-dev,
Breaks:
 golang-github-docker-docker-dev (<< 20.10.21+dfsg1-2~),
 golang-github-docker-libkv-dev (<< 0.2.1-4),
 golang-github-go-kit-kit-dev (<< 0.13.0-1),
 golang-github-minio-pkg-dev (<< 3.0.9-2),
 golang-github-xordataexchange-crypt-dev (<< 0.0.2+git20170626.21.b2862e3-4),
 nextcloud-spreed-signaling (<< 0.4.1-3~),
 vip-manager (<<1.0.2-5~),
Description: highly-available key value store -- source
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the source.
