=== debian/tests/control ===
Tests:
 integration,
Architecture: amd64
Depends:
 curl,
 etcd-client,
 etcd-server,
 procps,
 @builddeps@,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-container,
 needs-root,

Tests:
 functional,
Architecture: amd64
Depends:
 etcd-client,
 etcd-server,
 iproute2,
 netcat-openbsd,
 @builddeps@,
Restrictions:
 allow-stderr,
 isolation-container,

Tests:
 member-list
Architecture: any
Depends:
 etcd-client,
 etcd-server,
Restrictions:
 allow-stderr,
 isolation-container,
