=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/etcd-$1\.tar\.gz/ \
  https://github.com/etcd-io/etcd/tags .*/v?(\d\S+)\.tar\.gz
