## etcd 3.5.18

=== debian/changelog ===
etcd (3.5.18-1) unstable; urgency=medium

  * Update to new etcd version 3.5.18

 -- root <root@518f705acfc8>  Thu, 13 Feb 2025 17:52:41 +0000

etcd (3.5.18-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 13 Feb 2025 17:52:41 +0000
