## etcd 3.5.21

=== debian/changelog ===
etcd (3.5.21-1) unstable; urgency=medium

  * Update to new etcd version 3.5.21

 -- root <root@c78436efc656>  Fri, 25 Apr 2025 09:13:21 +0000

etcd (3.5.21-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 25 Apr 2025 09:13:21 +0000
