## etcd 3.5.22

=== Makefile ===
--- 
+++ 
@@ -156,7 +156,7 @@
 
 test-smoke:
 	$(info log-file: test-$(TEST_SUFFIX).log)
-	PASSES="fmt bom dep build unit" ./test.sh 2<&1 | tee test-$(TEST_SUFFIX).log
+	PASSES="dep build unit" ./test.sh 2<&1 | tee test-$(TEST_SUFFIX).log
 	! grep "FAIL:" test-$(TEST_SUFFIX).log
 
 test-full:
@@ -175,9 +175,21 @@
 test-e2e:
 	PASSES="build e2e" ./test.sh $(GO_TEST_FLAGS)
 
+.PHONY: test-grpcproxy-integration
+test-grpcproxy-integration:
+	PASSES='build grpcproxy_integration' RACE='true' ./test.sh $(GO_TEST_FLAGS)
+
+.PHONY: test-grpcproxy-e2e
+test-grpcproxy-e2e:
+	PASSES='build grpcproxy_e2e' RACE='true' ./test.sh $(GO_TEST_FLAGS)
+
 .PHONY: test-e2e-release
 test-e2e-release:
 	PASSES="build release e2e" ./test.sh $(GO_TEST_FLAGS)
+
+.PHONY: test-release
+test-release:
+	PASSES="release_tests" ./test.sh $(GO_TEST_FLAGS)
 
 ensure-docker-test-image-exists:
 	make pull-docker-test || ( echo "WARNING: Container Image not found in registry, building locally"; make build-docker-test )
@@ -366,14 +378,3 @@
 	  $(TMP_DIR_MOUNT_FLAG) \
 	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
 	  --mount type=bind,source=`pwd`/tests/docker-dns/certs,destination=/certs \
-	  gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
-	  /bin/bash -c "cd /etcd && /certs/run.sh && rm -rf m*.etcd"
-
-docker-dns-test-certs-gateway-run:
-	$(info GO_VERSION: $(GO_VERSION))
-	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
-	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
-	docker run \
-	  --rm \
-	  --tty \
-	  --dns 127.0.0.1 \
