=== debian/changelog ===
etcd (3.5.22-2) experimental; urgency=medium

  * Revert "Drop init script"
  * Backport upstream patch that allows building with
    olekukonko/tablewriter version 1.0.6

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Aug 2025 22:06:00 -0400

etcd (3.5.22-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: 3.5.22
  * Drop sysv init script

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 15 Aug 2025 15:57:57 -0400
