=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	find _build -type s -delete
 
 # Handle package name (etcd-server) != service name (etcd)
+override_dh_installinit:
+	dh_installinit -p etcd-server --name=etcd
 override_dh_installsystemd:
 	dh_installsystemd -p etcd-server --name=etcd
