=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Restrictions:
  allow-stderr,
  breaks-testbed,
+ flaky,
  isolation-container,
  needs-root,
 
@@ -24,14 +25,5 @@
  @builddeps@,
 Restrictions:
  allow-stderr,
+ flaky,
  isolation-container,
-
-Tests:
- member-list
-Architecture: any
-Depends:
- etcd-client,
- etcd-server,
-Restrictions:
- allow-stderr,
- isolation-container,
